Attribute VB_Name = "Modul1"
Sub Makro1()
Attribute Makro1.VB_Description = "Diagramme fr Verteilungen erstellen"
Attribute Makro1.VB_ProcData.VB_Invoke_Func = " \n14"
'
' Makro1 Makro
' Diagramme fr Verteilungen erstellen
' Verwendung: Dummyname ersetzen durch akt. Dateinamen
'

'
    Range("B12:K12").Select
    Charts.Add
    ActiveChart.ChartType = xlColumnClustered
    ActiveChart.SetSourceData Source:=Sheets("Dummyname_Stat").Range( _
        "B12:K12"), PlotBy:=xlRows
    ActiveChart.SeriesCollection(1).XValues = _
        "=Dummyname_Stat!R11C2:R11C11"
    ActiveChart.SeriesCollection(1).Name = "=Dummyname_Stat!R7C1"
    ActiveChart.Location Where:=xlLocationAsObject, Name:= _
        "Dummyname_Stat"
    With ActiveChart
        .HasTitle = True
        .ChartTitle.Characters.Text = "Filmlnge"
        .Axes(xlCategory, xlPrimary).HasTitle = True
        .Axes(xlCategory, xlPrimary).AxisTitle.Characters.Text = _
        "Bis zur Lnge von ... s"
        .Axes(xlValue, xlPrimary).HasTitle = True
        .Axes(xlValue, xlPrimary).AxisTitle.Characters.Text = "Filmanzahl"
    End With
    ActiveChart.HasLegend = False
    ActiveChart.ApplyDataLabels Type:=xlDataLabelsShowValue, LegendKey:=False
    ActiveChart.ChartTitle.Select
    Selection.AutoScaleFont = True
    With Selection.Font
        .Name = "Arial"
        .FontStyle = "Fett"
        .Size = 10
        .Strikethrough = False
        .Superscript = False
        .Subscript = False
        .OutlineFont = False
        .Shadow = False
        .Underline = xlUnderlineStyleNone
        .ColorIndex = xlAutomatic
        .Background = xlAutomatic
    End With
    ActiveChart.Axes(xlValue).AxisTitle.Select
    Selection.AutoScaleFont = True
    With Selection.Font
        .Name = "Arial"
        .FontStyle = "Standard"
        .Size = 10
        .Strikethrough = False
        .Superscript = False
        .Subscript = False
        .OutlineFont = False
        .Shadow = False
        .Underline = xlUnderlineStyleNone
        .ColorIndex = xlAutomatic
        .Background = xlAutomatic
    End With
    ActiveChart.Axes(xlCategory).AxisTitle.Select
    Selection.AutoScaleFont = True
    With Selection.Font
        .Name = "Arial"
        .FontStyle = "Standard"
        .Size = 10
        .Strikethrough = False
        .Superscript = False
        .Subscript = False
        .OutlineFont = False
        .Shadow = False
        .Underline = xlUnderlineStyleNone
        .ColorIndex = xlAutomatic
        .Background = xlAutomatic
    End With
    ActiveChart.PlotArea.Select
    With Selection.Border
        .ColorIndex = 16
        .Weight = xlThin
        .LineStyle = xlContinuous
    End With
    Selection.Interior.ColorIndex = xlNone
    ActiveChart.ChartArea.Select
    ActiveSheet.Shapes("Diagramm 1").ScaleWidth 0.74, msoFalse, _
        msoScaleFromTopLeft
    ActiveSheet.Shapes("Diagramm 1").ScaleHeight 0.61, msoFalse, _
        msoScaleFromBottomRight
    ActiveSheet.Shapes("Diagramm 1").ScaleHeight 1.09, msoFalse, _
        msoScaleFromBottomRight
    ActiveSheet.Shapes("Diagramm 1").IncrementLeft 14.25
    ActiveSheet.Shapes("Diagramm 1").IncrementTop -186#
    
    Range("B19:K19").Select
    Charts.Add
    ActiveChart.ChartType = xlColumnClustered
    ActiveChart.SetSourceData Source:=Sheets("Dummyname_Stat").Range( _
        "B19:K19"), PlotBy:=xlRows
    ActiveChart.SeriesCollection(1).XValues = _
        "=Dummyname_Stat!R18C2:R18C11"
    ActiveChart.SeriesCollection(1).Name = "=Dummyname_Stat!R14C1"
    ActiveChart.Location Where:=xlLocationAsObject, Name:= _
        "Dummyname_Stat"
    With ActiveChart
        .HasTitle = True
        .ChartTitle.Characters.Text = "Filmabmessung"
        .Axes(xlCategory, xlPrimary).HasTitle = True
        .Axes(xlCategory, xlPrimary).AxisTitle.Characters.Text = _
        "Bis zu ... Pixeln"
        .Axes(xlValue, xlPrimary).HasTitle = True
        .Axes(xlValue, xlPrimary).AxisTitle.Characters.Text = "Filmanzahl"
    End With
    ActiveChart.HasLegend = False
    ActiveChart.ApplyDataLabels Type:=xlDataLabelsShowValue, LegendKey:=False
    ActiveChart.ChartTitle.Select
    Selection.AutoScaleFont = True
    With Selection.Font
        .Name = "Arial"
        .FontStyle = "Fett"
        .Size = 10
        .Strikethrough = False
        .Superscript = False
        .Subscript = False
        .OutlineFont = False
        .Shadow = False
        .Underline = xlUnderlineStyleNone
        .ColorIndex = xlAutomatic
        .Background = xlAutomatic
    End With
    ActiveChart.Axes(xlValue).AxisTitle.Select
    Selection.AutoScaleFont = True
    With Selection.Font
        .Name = "Arial"
        .FontStyle = "Standard"
        .Size = 10
        .Strikethrough = False
        .Superscript = False
        .Subscript = False
        .OutlineFont = False
        .Shadow = False
        .Underline = xlUnderlineStyleNone
        .ColorIndex = xlAutomatic
        .Background = xlAutomatic
    End With
    ActiveChart.Axes(xlCategory).AxisTitle.Select
    Selection.AutoScaleFont = True
    With Selection.Font
        .Name = "Arial"
        .FontStyle = "Standard"
        .Size = 10
        .Strikethrough = False
        .Superscript = False
        .Subscript = False
        .OutlineFont = False
        .Shadow = False
        .Underline = xlUnderlineStyleNone
        .ColorIndex = xlAutomatic
        .Background = xlAutomatic
    End With
    ActiveChart.PlotArea.Select
    With Selection.Border
        .ColorIndex = 16
        .Weight = xlThin
        .LineStyle = xlContinuous
    End With
    Selection.Interior.ColorIndex = xlNone
    ActiveChart.ChartArea.Select
    ActiveSheet.Shapes("Diagramm 2").IncrementLeft 30#
    ActiveSheet.Shapes("Diagramm 2").IncrementTop -45#
    ActiveSheet.Shapes("Diagramm 2").ScaleWidth 0.75, msoFalse, _
        msoScaleFromTopLeft
    ActiveSheet.Shapes("Diagramm 2").ScaleHeight 0.67, msoFalse, _
        msoScaleFromTopLeft
        
    Range("B26:K26").Select
    Charts.Add
    ActiveChart.ChartType = xlColumnClustered
    ActiveChart.SetSourceData Source:=Sheets("Dummyname_Stat").Range( _
        "B26:K26"), PlotBy:=xlRows
    ActiveChart.SeriesCollection(1).XValues = _
        "=Dummyname_Stat!R25C2:R25C11"
    ActiveChart.SeriesCollection(1).Name = "=Dummyname_Stat!R21C1"
    ActiveChart.Location Where:=xlLocationAsObject, Name:= _
        "Dummyname_Stat"
    With ActiveChart
        .HasTitle = True
        .ChartTitle.Characters.Text = "Filmdateigre"
        .Axes(xlCategory, xlPrimary).HasTitle = True
        .Axes(xlCategory, xlPrimary).AxisTitle.Characters.Text = "Bis zu ... kB"
        .Axes(xlValue, xlPrimary).HasTitle = True
        .Axes(xlValue, xlPrimary).AxisTitle.Characters.Text = "Filmanzahl"
    End With
    ActiveChart.HasLegend = False
    ActiveChart.ApplyDataLabels Type:=xlDataLabelsShowValue, LegendKey:=False
    ActiveChart.ChartTitle.Select
    Selection.AutoScaleFont = True
    With Selection.Font
        .Name = "Arial"
        .FontStyle = "Fett"
        .Size = 10
        .Strikethrough = False
        .Superscript = False
        .Subscript = False
        .OutlineFont = False
        .Shadow = False
        .Underline = xlUnderlineStyleNone
        .ColorIndex = xlAutomatic
        .Background = xlAutomatic
    End With
    ActiveChart.Axes(xlValue).AxisTitle.Select
    Selection.AutoScaleFont = True
    With Selection.Font
        .Name = "Arial"
        .FontStyle = "Standard"
        .Size = 10
        .Strikethrough = False
        .Superscript = False
        .Subscript = False
        .OutlineFont = False
        .Shadow = False
        .Underline = xlUnderlineStyleNone
        .ColorIndex = xlAutomatic
        .Background = xlAutomatic
    End With
    ActiveChart.Axes(xlCategory).AxisTitle.Select
    Selection.AutoScaleFont = True
    With Selection.Font
        .Name = "Arial"
        .FontStyle = "Standard"
        .Size = 10
        .Strikethrough = False
        .Superscript = False
        .Subscript = False
        .OutlineFont = False
        .Shadow = False
        .Underline = xlUnderlineStyleNone
        .ColorIndex = xlAutomatic
        .Background = xlAutomatic
    End With
    ActiveChart.PlotArea.Select
    With Selection.Border
        .ColorIndex = 16
        .Weight = xlThin
        .LineStyle = xlContinuous
    End With
    Selection.Interior.ColorIndex = xlNone
    ActiveChart.ChartArea.Select
    ActiveSheet.Shapes("Diagramm 3").IncrementLeft 45.75
    ActiveSheet.Shapes("Diagramm 3").IncrementTop -14.25
    ActiveSheet.Shapes("Diagramm 3").ScaleWidth 0.76, msoFalse, _
        msoScaleFromTopLeft
    ActiveSheet.Shapes("Diagramm 3").ScaleHeight 0.68, msoFalse, _
        msoScaleFromTopLeft
        
    Range("B33:K33").Select
    Charts.Add
    ActiveChart.ChartType = xlColumnClustered
    ActiveChart.SetSourceData Source:=Sheets("Dummyname_Stat").Range( _
        "B33:K33"), PlotBy:=xlRows
    ActiveChart.SeriesCollection(1).XValues = _
        "=Dummyname_Stat!R32C2:R32C11"
    ActiveChart.SeriesCollection(1).Name = "=Dummyname_Stat!R28C1"
    ActiveChart.Location Where:=xlLocationAsObject, Name:= _
        "Dummyname_Stat"
    With ActiveChart
        .HasTitle = True
        .ChartTitle.Characters.Text = "Bildrate"
        .Axes(xlCategory, xlPrimary).HasTitle = True
        .Axes(xlCategory, xlPrimary).AxisTitle.Characters.Text = "Bis zu ... fps"
        .Axes(xlValue, xlPrimary).HasTitle = True
        .Axes(xlValue, xlPrimary).AxisTitle.Characters.Text = "Filmanzahl"
    End With
    ActiveChart.HasLegend = False
    ActiveChart.ApplyDataLabels Type:=xlDataLabelsShowValue, LegendKey:=False
    ActiveChart.ChartTitle.Select
    Selection.AutoScaleFont = True
    With Selection.Font
        .Name = "Arial"
        .FontStyle = "Fett"
        .Size = 10
        .Strikethrough = False
        .Superscript = False
        .Subscript = False
        .OutlineFont = False
        .Shadow = False
        .Underline = xlUnderlineStyleNone
        .ColorIndex = xlAutomatic
        .Background = xlAutomatic
    End With
    ActiveChart.Axes(xlValue).AxisTitle.Select
    Selection.AutoScaleFont = True
    With Selection.Font
        .Name = "Arial"
        .FontStyle = "Standard"
        .Size = 10
        .Strikethrough = False
        .Superscript = False
        .Subscript = False
        .OutlineFont = False
        .Shadow = False
        .Underline = xlUnderlineStyleNone
        .ColorIndex = xlAutomatic
        .Background = xlAutomatic
    End With
    ActiveChart.Axes(xlCategory).AxisTitle.Select
    Selection.AutoScaleFont = True
    With Selection.Font
        .Name = "Arial"
        .FontStyle = "Standard"
        .Size = 10
        .Strikethrough = False
        .Superscript = False
        .Subscript = False
        .OutlineFont = False
        .Shadow = False
        .Underline = xlUnderlineStyleNone
        .ColorIndex = xlAutomatic
        .Background = xlAutomatic
    End With
    ActiveChart.PlotArea.Select
    With Selection.Border
        .ColorIndex = 16
        .Weight = xlThin
        .LineStyle = xlContinuous
    End With
    Selection.Interior.ColorIndex = xlNone
    ActiveChart.ChartArea.Select
    ActiveSheet.Shapes("Diagramm 4").IncrementLeft 62.25
    ActiveSheet.Shapes("Diagramm 4").IncrementTop 21.75
    ActiveSheet.Shapes("Diagramm 4").ScaleWidth 0.77, msoFalse, _
        msoScaleFromTopLeft
    ActiveSheet.Shapes("Diagramm 4").ScaleHeight 0.67, msoFalse, _
        msoScaleFromTopLeft
        
    Range("B40:K40").Select
    Charts.Add
    ActiveChart.ChartType = xlColumnClustered
    ActiveChart.SetSourceData Source:=Sheets("Dummyname_Stat").Range( _
        "B40:K40"), PlotBy:=xlRows
    ActiveChart.SeriesCollection(1).XValues = _
        "=Dummyname_Stat!R39C2:R39C11"
    ActiveChart.SeriesCollection(1).Name = "=Dummyname_Stat!R35C1"
    ActiveChart.Location Where:=xlLocationAsObject, Name:= _
        "Dummyname_Stat"
    With ActiveChart
        .HasTitle = True
        .ChartTitle.Characters.Text = "Extrahierte Frames"
        .Axes(xlCategory, xlPrimary).HasTitle = True
        .Axes(xlCategory, xlPrimary).AxisTitle.Characters.Text = _
        "Bis zu ... Frames"
        .Axes(xlValue, xlPrimary).HasTitle = True
        .Axes(xlValue, xlPrimary).AxisTitle.Characters.Text = "Filmanzahl"
    End With
    ActiveChart.HasLegend = False
    ActiveChart.ApplyDataLabels Type:=xlDataLabelsShowValue, LegendKey:=False
    ActiveChart.ChartTitle.Select
    Selection.AutoScaleFont = True
    With Selection.Font
        .Name = "Arial"
        .FontStyle = "Fett"
        .Size = 10
        .Strikethrough = False
        .Superscript = False
        .Subscript = False
        .OutlineFont = False
        .Shadow = False
        .Underline = xlUnderlineStyleNone
        .ColorIndex = xlAutomatic
        .Background = xlAutomatic
    End With
    ActiveChart.Axes(xlValue).AxisTitle.Select
    Selection.AutoScaleFont = True
    With Selection.Font
        .Name = "Arial"
        .FontStyle = "Standard"
        .Size = 10
        .Strikethrough = False
        .Superscript = False
        .Subscript = False
        .OutlineFont = False
        .Shadow = False
        .Underline = xlUnderlineStyleNone
        .ColorIndex = xlAutomatic
        .Background = xlAutomatic
    End With
    ActiveChart.Axes(xlCategory).AxisTitle.Select
    Selection.AutoScaleFont = True
    With Selection.Font
        .Name = "Arial"
        .FontStyle = "Standard"
        .Size = 10
        .Strikethrough = False
        .Superscript = False
        .Subscript = False
        .OutlineFont = False
        .Shadow = False
        .Underline = xlUnderlineStyleNone
        .ColorIndex = xlAutomatic
        .Background = xlAutomatic
    End With
    ActiveChart.PlotArea.Select
    With Selection.Border
        .ColorIndex = 16
        .Weight = xlThin
        .LineStyle = xlContinuous
    End With
    Selection.Interior.ColorIndex = xlNone
    ActiveChart.ChartArea.Select
    ActiveSheet.Shapes("Diagramm 5").IncrementLeft 86.25
    ActiveSheet.Shapes("Diagramm 5").IncrementTop 60.75
    ActiveSheet.Shapes("Diagramm 5").IncrementTop -5.25
    ActiveSheet.Shapes("Diagramm 5").ScaleWidth 0.77, msoFalse, _
        msoScaleFromTopLeft
    ActiveSheet.Shapes("Diagramm 5").ScaleHeight 0.68, msoFalse, _
        msoScaleFromTopLeft
        
    Range("B47:K47").Select
    Charts.Add
    ActiveChart.ChartType = xlColumnClustered
    ActiveChart.SetSourceData Source:=Sheets("Dummyname_Stat").Range( _
        "B47:K47"), PlotBy:=xlRows
    ActiveChart.SeriesCollection(1).XValues = _
        "=Dummyname_Stat!R46C2:R46C11"
    ActiveChart.SeriesCollection(1).Name = "=Dummyname_Stat!R42C1"
    ActiveChart.Location Where:=xlLocationAsObject, Name:= _
        "Dummyname_Stat"
    With ActiveChart
        .HasTitle = True
        .ChartTitle.Characters.Text = "Extrahierte Frames/min"
        .Axes(xlCategory, xlPrimary).HasTitle = True
        .Axes(xlCategory, xlPrimary).AxisTitle.Characters.Text = _
        "Bis zu ... Frames/min"
        .Axes(xlValue, xlPrimary).HasTitle = True
        .Axes(xlValue, xlPrimary).AxisTitle.Characters.Text = "Filmanzahl"
    End With
    ActiveChart.HasLegend = False
    ActiveChart.ApplyDataLabels Type:=xlDataLabelsShowValue, LegendKey:=False
    ActiveChart.ChartTitle.Select
    Selection.AutoScaleFont = True
    With Selection.Font
        .Name = "Arial"
        .FontStyle = "Fett"
        .Size = 10
        .Strikethrough = False
        .Superscript = False
        .Subscript = False
        .OutlineFont = False
        .Shadow = False
        .Underline = xlUnderlineStyleNone
        .ColorIndex = xlAutomatic
        .Background = xlAutomatic
    End With
    ActiveChart.Axes(xlValue).AxisTitle.Select
    Selection.AutoScaleFont = True
    With Selection.Font
        .Name = "Arial"
        .FontStyle = "Standard"
        .Size = 10
        .Strikethrough = False
        .Superscript = False
        .Subscript = False
        .OutlineFont = False
        .Shadow = False
        .Underline = xlUnderlineStyleNone
        .ColorIndex = xlAutomatic
        .Background = xlAutomatic
    End With
    ActiveChart.Axes(xlCategory).AxisTitle.Select
    Selection.AutoScaleFont = True
    With Selection.Font
        .Name = "Arial"
        .FontStyle = "Standard"
        .Size = 10
        .Strikethrough = False
        .Superscript = False
        .Subscript = False
        .OutlineFont = False
        .Shadow = False
        .Underline = xlUnderlineStyleNone
        .ColorIndex = xlAutomatic
        .Background = xlAutomatic
    End With
    ActiveChart.PlotArea.Select
    With Selection.Border
        .ColorIndex = 16
        .Weight = xlThin
        .LineStyle = xlContinuous
    End With
    Selection.Interior.ColorIndex = xlNone
    ActiveChart.ChartArea.Select
    ActiveSheet.Shapes("Diagramm 6").IncrementLeft 131.25
    ActiveSheet.Shapes("Diagramm 6").IncrementTop 121.5
    ActiveSheet.Shapes("Diagramm 6").IncrementLeft -29.25
    ActiveSheet.Shapes("Diagramm 6").IncrementTop -36#
    ActiveSheet.Shapes("Diagramm 6").ScaleWidth 0.76, msoFalse, _
        msoScaleFromTopLeft
    ActiveSheet.Shapes("Diagramm 6").ScaleHeight 0.7, msoFalse, _
        msoScaleFromTopLeft
                
End Sub
